clang-tools 10.0.0

Public Attributes | List of all members
clang::clangd::SemanticHighlightingInformation Struct Reference

Represents a semantic highlighting information that has to be applied on a specific line of the text document. More...

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::SemanticHighlightingInformation:
[legend]

## Public Attributes
int | Line = 0
| The line these highlightings belong to. More...
std::string | Tokens
| The base64 encoded string of highlighting tokens. More...
bool | IsInactive = false
| Is the line in an inactive preprocessor branch? This is a clangd extension. More...

## Detailed Description

Represents a semantic highlighting information that has to be applied on a specific line of the text document.

Definition at line 1214 of file Protocol.h.

## Member Data Documentation

## ◆ IsInactive

bool clang::clangd::SemanticHighlightingInformation::IsInactive = false

Is the line in an inactive preprocessor branch? This is a clangd extension.

An inactive line can still contain highlighting tokens as well; clients should combine line style and token style if possible.

Definition at line 1223 of file Protocol.h.

## ◆ Line

int clang::clangd::SemanticHighlightingInformation::Line = 0

The line these highlightings belong to.

Definition at line 1216 of file Protocol.h.

Referenced by clang::clangd::operator==().

## ◆ Tokens

std::string clang::clangd::SemanticHighlightingInformation::Tokens

The base64 encoded string of highlighting tokens.

Definition at line 1218 of file Protocol.h.

Referenced by clang::clangd::operator==().

The documentation for this struct was generated from the following file:

- Protocol.h